API ReferenceContracts

Update Payment

PUT
/v2/contracts/{contractNumber}/payments/{clientReference}

Update a particular payment using its payment Reference.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

contractNumber*string
clientReference*string

Query Parameters

accountNumber?string

Client account number

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

This object is used to request a payout.

Response Body

application/json

application/json

curl -X PUT "https://example.com/v2/contracts/string/payments/string" \  -H "Content-Type: application/json" \  -d '{    "buyAmount": {      "currency": "GBP"    },    "clientReference": "string",    "sellAmount": {      "currency": "GBP"    }  }'
{  "fxDetail": {    "buy": {      "amount": 80,      "currency": "GBP"    },    "fixedAmountType": "NotSet",    "rate": {      "baseCurrency": "GBP",      "buyCurrency": "GBP",      "inverseRate": 0,      "rate": 0,      "sellCurrency": "GBP"    },    "remainingBuyForward": {      "amount": 80,      "currency": "GBP"    },    "remainingSellForward": {      "amount": 80,      "currency": "GBP"    },    "sell": {      "amount": 80,      "currency": "GBP"    }  },  "identifier": {    "clientReference": "C124863",    "xePaymentId": "P124863"  },  "isExcluded": true,  "issues": [    {      "description": "string",      "issueId": 0    }  ],  "payoutInformation": {    "dateSentToRecipient": "2019-08-24T14:15:22Z",    "expectedPaymentDate": "2019-08-24",    "feeAmount": {      "amount": 80,      "currency": "GBP"    },    "payoutAmount": {      "amount": 80,      "currency": "GBP"    }  },  "recipientName": "string",  "validationStatus": "Approved",  "buyAmount": {    "amount": 80,    "currency": "GBP"  },  "clientReference": "string",  "effectiveDate": "2019-08-24",  "paymentReference": "string",  "purpose": "string",  "purposeOfPaymentCode": "string",  "sellAmount": {    "amount": 80,    "currency": "GBP"  }}
{  "code": 0,  "failureDateTime": "2019-08-24T14:15:22Z",  "longErrorMsg": "string",  "shortErrorMsg": "string",  "traceErrorId": "string",  "typeOfFailure": "MODEL_VALIDATION"}
Empty
Empty
Empty
Get help